org.apache.lucene.analysis.uima

## Class UIMAAnnotationsTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.uima.BaseUIMATokenizer
        - - org.apache.lucene.analysis.uima.UIMAAnnotationsTokenizer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class UIMAAnnotationsTokenizer
    extends BaseUIMATokenizer

a `Tokenizer` which creates tokens from UIMA Annotations

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.uima.BaseUIMATokenizer

`ae, cas, iterator`

### Fields inherited from class org.apache.lucene.analysis.Tokenizer

`input`

### Constructor Summary

Constructors
Constructor and Description
`UIMAAnnotationsTokenizer(String descriptorPath, String tokenType, Map<String,Object> configurationParameters, Reader input)`

### Method Summary

Methods
`void` `end()`
`boolean` `incrementToken()`
`protected void` `initializeIterator()` initialize the FSIterator which is used to build tokens at each incrementToken() method call

### Methods inherited from class org.apache.lucene.analysis.uima.BaseUIMATokenizer

`analyzeInput, reset`

### Methods inherited from class org.apache.lucene.analysis.Tokenizer

`close, correctOffset, setReader`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UIMAAnnotationsTokenizer

    public UIMAAnnotationsTokenizer(String descriptorPath,
                            String tokenType,
                            Map<String,Object> configurationParameters,
                            Reader input)

### Method Detail

#### initializeIterator

    protected void initializeIterator()
                               throws IOException

Description copied from class: `BaseUIMATokenizer`
initialize the FSIterator which is used to build tokens at each incrementToken() method call

Specified by:
  `initializeIterator` in class `BaseUIMATokenizer`
Throws:
  `IOException` - If there is a low-level I/O error.

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### end

    public void end()
             throws IOException

Overrides:
  `end` in class `BaseUIMATokenizer`
Throws:
  `IOException`